@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&family=Georgia&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cardo:ital,wght@0,400;0,700;1,400&display=swap');

/* General Reset */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}
body {
    font-family: 'Roboto', sans-serif;
}

a {
    display: inline-block;
    text-decoration: none;
}

p,ul,li{
font-size: 16px;
    line-height: 22px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;    
}

a,
button {
    cursor: pointer;
}

/* Header styling */
.header {
    position: fixed;
    width: 100%;
    background-color: white;
    z-index: 50;
    transition: all 0.3s;
    top: 0;
    left: 0;
    box-shadow: 0 4px 28px #00000014;
}

.menu-button {
    display: none;
}

.container {
    max-width: 1556px;
    margin: 0 auto;
    padding-inline: 20px;
}

.header .container {

    padding: 0 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

/* Logo Styling */
.logo {
    display: flex;
    flex-direction: column;
    font-family: 'Arial', sans-serif;
}

.logo-text {
    color: black;
    font-size: 1.5rem;
    font-weight: bold;
    letter-spacing: 0.5px;
}

h1 {
    font-family: "Cardo", serif;
}

h2 {
    font-family: "Cardo", serif;

    font-size: 36px;
    line-height: 1.3 !important;

}

/* Navigation styling */
.nav {
    display: flex;
    gap: 2.5rem;
}

.nav-item {
    font-family: 'Arial', sans-serif;
    font-size: 0.875rem;
    font-weight: 500;
    text-transform: uppercase;
    color: #333;
    letter-spacing: 0.5px;
    text-decoration: none;
    transition: color 0.3s;
}

.nav-item:hover {
    color: #1f70ad;
    /* Change this to your primary color */
}

/* Button styling */


.contact-button {
    padding: 12px 29px;
    background-color: #f43e60;
    color: white;
    font-size: 0.875rem;
    font-weight: 500;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
}

.contact-button:hover {
    background-color: #ef4565;
    /* Slightly darker blue for hover effect */
}

/* Menu Button for mobile */
.menu-button {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    width: 40px;
    height: 40px;
}

.menu-button svg {
    stroke: #333;
    transition: stroke 0.3s;
    font-size: 100px;
    width: 100%;
    height: 100%;
}

.menu-button:hover svg {
    stroke: #1f70ad;
    /* Primary color */
}

.home-section {
    position: relative;
    height: 100vh;
    background-image: url('../images/banner.avif');
    /* Replace with actual image path */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    color: white;
    /* Inheriting global text color */
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 84px;
}

.home-section .container {
    width: 100%;
    padding: 0 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    /* Dark overlay for better text visibility */
    z-index: 1;
}

.hero-content {
    max-width: 672PX;
    padding-top: 3rem;
    z-index: 10;
}

/* Inherited Text Styles */
.hero-heading {
    /* Inheriting the font-family from the body */
    font-size: 60px;
    font-weight: bold;
    line-height: 1.3;
    margin-bottom: 1rem;
    color: inherit;
    /* Inheriting the text color */
}

p.text-gray-600.mb-4 {
    line-height: 1.7;
}

.hero-description {
    font-family: inherit;
    font-size: 1.125rem;
    margin-bottom: 2rem;
    color: rgba(255, 255, 255, 0.8);
    line-height: 1.9;
    /* Lighter text color for description */
}

/* CTA Buttons (Inherit general button styles) */
.cta-buttons {
    display: flex;
    gap: 1.5rem;
    align-items: center;
}

.cta-button {
    padding: 17px 3rem;
    font-size: 16px;
    border-radius: 5px;
    transition: all 0.3s ease;
    width: 100%;
    max-width: 290px;
    color: inherit;
    /* Inheriting text color */
}

.primary-btn {
    background-color: #f43e60;
    /* Primary color */
    border: none;
    padding: 20px;
    text-align: center;
}

.primary-btn:hover {
    background-color: #1f70ad;
    /* Slightly darker primary color */
}

.secondary-btn {
    background-color: transparent;
    border: 2px solid white;
    color: white;
    max-width: 240px;

}

.secondary-btn:hover {
    background-color: white;
    color: #1f70ad;
    /* Primary color */
}

.about-section {
    padding-top: 5rem;
    padding-bottom: 5rem;
    background-color: #f7f7f7;
    color: #333;
}

.grid {
    display: grid;
    gap: 1.5rem;
}

.grid-cols-1 {
    grid-template-columns: repeat(1, 1fr);
}

.md\:grid-cols-2 {
    grid-template-columns: repeat(2, 1fr);
}

.items-center {
    align-items: center;
}

.about-text {
    text-align: left;
}

.about-heading {
    font-family: 'Georgia', serif;
    font-size: 43px;
    font-weight: bold;
    color: #000;
    margin-bottom: 1.5rem;
}

.about-description {
    color: #4b4b4b;
    font-size: 1.125rem;
    margin-bottom: 1rem;
    line-height: 1.6;
}

.company-achievements {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
    margin-top: 2rem;
}

.achievement {
    text-align: center;
    display: flex;
    flex-direction: column;

}

.achievement-value {
    font-size: 37px;
    font-weight: bold;
    color: #f43e60;
    font-family: 'Montserrat';
    /* Secondary color */
}

.achievement-name {
    color: #4b4b4b;
    font-size: 1rem;
    font-family: 'Montserrat';
}

/* About Images */
.about-images {
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr 1fr;
}

.about-image {
    border-radius: 0.5rem;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.mt-8 {
    margin-top: 2rem;
}

.services-section {
    padding-top: 5rem;
    padding-bottom: 5rem;
    background-color: #f9fafb;
}

.services-heading {
    font-size: 2rem;
    font-weight: bold;
    color: #1f70ad;
    /* Primary color */
    margin-bottom: 0.5rem;
}

.services-subheading {
    font-size: 1.125rem;
    color: #f43e60;
    /* Secondary color */
    margin-bottom: 1rem;
    font-style: italic;
}

.services-description {
    font-size: 14px;
    color: #4b4b4b;
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

/* Grid Layout for Services */
.services-grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 1.5rem;
}

@media (min-width: 768px) {
    .services-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

/* Service Card Styling */
.service-card {
    background-color: #ffffff;
    border-radius: 0.5rem;
    border: 1px solid #e0e0e0;
    overflow: hidden;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.service-card:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

.service-image {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.service-content {
    padding: 1.5rem;
}

.service-title {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 1rem;
}

.service-description {
    color: #4b4b4b;
    font-size: 1rem;
    margin-bottom: 1.5rem;
}

.service-link {
    color: #f43e60;
    font-weight: 500;
    display: inline-flex;
    align-items: center;
    text-decoration: none;
    font-family: 'Montserrat';
}

.icon-arrow-right {
    margin-left: 0.5rem;
    width: 16px;
    height: 16px;
}

.service-details {
    text-align: center;
    max-width: 656px;
    margin: 0 auto;
    margin-bottom: 50px;
}

.floorplans-section {
    padding-top: 5rem;
    padding-bottom: 5rem;
    background-color: #fafafa;
}

.floorplans-container {
    max-width: 1280px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 1rem;
    padding-right: 1rem;
}

.advanced-search-button {
    width: fit-content;
    margin: 0 auto;
}


.floorplans-header {
    text-align: center;
    max-width: 48rem;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 3rem;
}

.floorplans-header h2 {
    font-family: 'Times New Roman', Times, serif;
    font-size: 2.25rem;
    line-height: 2.5rem;
    font-weight: 700;
    margin-bottom: 1rem;
    color: #1f70ad;
    /* Assuming a primary color */
}

@media (min-width: 768px) {
    .floorplans-header h2 {
        font-size: 2.5rem;
        line-height: 1;
    }
}

.floorplans-header p {
    color: #4a5568;
}

.floorplans-header .advanced-search-button {
    margin-top: 1.5rem;
    display: flex;
    justify-content: center;
}

.advanced-search-button button {
    margin: 0 auto;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    white-space: nowrap;
    border-radius: 0.375rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 500;
    border: 1px solid #e2e8f0;
    background-color: #fff;
    height: 2.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
    margin-bottom: 80px;
}

.floorplan-filter-group h4 {
    margin-bottom: 15px;
}

button.floorplan-btn-clear {
    background: #fff;
    border: 1px solid #ccc;
    color: #999797;
}

.floorplans-header .advanced-search-button button:hover {
    background-color: #f7fafc;
    color: #1a202c;
}

.floorplans-header .advanced-search-button button svg {
    width: 1rem;
    height: 1rem;
}

.floorplans-buttons {
    margin-bottom: 2rem;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
}

.floorplans-buttons button {
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 500;
    border-radius: 0.375rem;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
    cursor: pointer;
    background-color: #fff;
    color: #1a202c;
    border: 1px solid #e2e8f0;
}

.floorplans-buttons .active {
    background-color: #1f70ad;
    color: #fff;
    border: none;
}

/* .floorplans-buttons .inactive {
    background-color: #fff;
    color: #1a202c;
    border: 1px solid #e2e8f0;
} */

.floorplans-buttons :hover {
    border-color: #f97415;
    background-color: #f97415;
    color: #fff;
}

.floorplan-details-block {
    display: block;
}

.floorplan-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1.3fr;
    gap: 2rem;
}



.floorplan-image-container {
    grid-column: span 1 / span 1;
}


.floorplans-slider-wrapper {
    position: relative;
    max-width: 1200px;
    margin: 40px auto;
    overflow: hidden;
}

.floorplans-slider {
    width: 100%;
    height: 100%;
}

.floorplans-slide {
    position: relative;
    height: auto !important;
}

.floorplans-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.floorplans-caption {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.6);
    color: white;
    padding: 16px;
}

.floorplans-caption h4 {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 5px;
}

.floorplans-caption p {
    font-size: 14px;
    color: #ccc;
}

.slick-prev,
.slick-next {
    background: rgba(255, 255, 255, 0.7);
    border-radius: 9999px;
    width: 40px;
    height: 40px;
    z-index: 10;
    position: absolute;
    top: 34%;
}

.slick-prev {
    left: 10px;
}

.slick-next {
    right: 10px;
}


.slick-prev:hover,
.slick-next:hover {
    background: white;
}

.slick-prev:before,
.slick-next:before {
    color: #000;
    font-size: 24px;
}

.slick-dots li button:before {
    color: white;
    opacity: 0.5;
}

.slick-dots li.slick-active button:before {
    opacity: 1;
}

@media (min-width: 1024px) {
    .floorplan-image-container {
        grid-column: span 2 / span 2;
    }
}

.floorplan-image-card {
    background-color: #fff;
    border-radius: 0.375rem;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
    overflow: hidden;
}

.floorplan-image-tabs {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    border-bottom: 1px solid #e2e8f0;
}

.floorplan-image-tabs .tab-buttons {
    display: flex;
    gap: 1rem;
}

.floorplan-image-tabs .tab-buttons button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    white-space: nowrap;
    border-radius: 0.375rem;
    font-weight: 500;
    height: 2.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    cursor: pointer;
    border: 1px solid #e2e8f0;
    background-color: #fff;
    color: #1a202c;
}

.floorplan-image-tabs .tab-buttons button:hover {
    color: #f97415;
}

.floorplan-image-tabs .tab-buttons .active {
    background-color: #1f70ad;
    color: #fff;
    border: none;
}

/* 
.floorplan-image-tabs .tab-buttons .inactive {
    border: 1px solid #e2e8f0;
    background-color: #fff;
    color: #1a202c;
}
*/
.floorplan-image-tabs .tab-buttons button:hover {
    border-color: #f97415;
    background-color: #f97415;
    color: #fff;
}

.floorplan-image-tabs .tab-buttons button svg {
    width: 1rem;
    height: 1rem;
}

.floorplan-image-display {
    position: relative;
    font-size: 0;
    /* display: flex;
    align-items: flex-start; */
}

#floorplan-slider-container .slick-arrow {

    border-color: #ffffff !important;
    box-shadow: none !important;
}

.floorplan-image-display img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 1 / .6;
}

.floorplan-info-card {
    border-radius: 0.5rem;
    border: 1px solid #e2e8f0;
    background-color: #fff;
    color: #1a202c;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
}

.floorplan-info-card-content {
    padding: 1.5rem;
}
.floorplan-features .icon {
        filter: brightness(0) saturate(100%) invert(38%) sepia(63%) saturate(1008%) hue-rotate(309deg) brightness(94%) contrast(105%);
}
.floorplan-upgrades .icon {
        filter: brightness(0) saturate(100%) invert(32%) sepia(77%) saturate(771%) hue-rotate(171deg) brightness(98%) contrast(90%);
}
.floorplan-info-card-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 1rem;
}

.floorplan-info-card-header h3 {
    font-size: 1.5rem;
    line-height: 2rem;
    font-weight: 700;
    color: #1f70ad;
}

.floorplan-info-card-header .price {
    font-size: 1.25rem;
    line-height: 1.75rem;
    font-weight: 600;
    color: #f43e60;
}
.floorplan-slide .slick-slide {
    max-width: 100% !important;
}

.floorplan-stats {
    display: flex;
    justify-content: space-between;
    margin-bottom: 1.5rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
}

.floorplan-stats .stat-item {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.floorplan-stats .stat-item .value {
    font-weight: 500;
    font-size: 1.125rem;
    line-height: 1.75rem;
}

.floorplan-stats .stat-item .label {
    color: #a0aec0;
}

.floorplan-description {
    color: #4a5568;
    margin-bottom: 1.5rem;
}

.floorplan-features {
    margin-bottom: 1.5rem;
}

.floorplan-features h4 {
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.floorplan-features ul {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0.5rem;
}

.floorplan-features ul li {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    color: #4a5568;
}

.floorplan-features ul li .icon {
    flex-shrink: 0;
    width: 1.25rem;
    height: 1.25rem;
    background-color: rgba(113, 128, 150, 0.1);
    color: #718096;
    border-radius: 9999px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.floorplan-upgrades {
    margin-bottom: 1.5rem;
}

.floorplan-upgrades h4 {
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.floorplan-upgrades ul {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0.5rem;
}

.floorplan-upgrades ul li {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    color: #4a5568;
}

.floorplan-upgrades ul li .icon {
    flex-shrink: 0;
    width: 1.25rem;
    height: 1.25rem;
    background-color: rgba(26, 32, 44, 0.1);
    color: #1a202c;
    border-radius: 9999px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.floorplan-button-container {
    margin-top: 2rem;
}

.floorplan-button-container a,  
.floorplan-button-container button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    white-space: nowrap;
    border-radius: 0.375rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 500;
    height: 2.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    width: 100%;
    background-color: #1f70ad;
    color: #fff;
    cursor: pointer;
    border: none;
}

.floorplan-button-container button:hover {
    background-color: rgba(26, 32, 44, 0.9);
}

#floorplan-features-list .icon svg {
    stroke: #f43e60;
}

#floorplan-features-list .icon {
    background-color: rgba(244, 62, 96, 0.2);
    color: #f43e60;
}

#floorplan-upgrades-list .icon {
    background-color: rgba(26, 115, 232, 0.2);
    color: #1a73e8;
}

#floorplan-upgrades-list .icon svg {
    stroke: #1f70ad;
}
.slick-slide img {
    display: block !important;
} 

.footer {
    background-color: #1f70ad;
    /* Primary color */
    color: white;
    padding: 3rem 0;
    font-family: Arial, sans-serif;
}


.footer-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
}

.footer-section {
    display: flex;
    flex-direction: column;
}

.brand {
    display: flex;
    align-items: center;
    font-size: 1.5rem;
    font-weight: bold;
}

.brand-name {
    margin-right: 0.5rem;
}

.brand-description {
    font-size: 1rem;
    color: #D1D5DB;
    /* Neutral light gray */
    margin: 1rem 0;
}

.social-links {
    display: flex;
    gap: 1rem;
}

.social-link svg {
    width: 18px;
    height: 18px;
    color: #D1D5DB;
    transition: color 0.3s;
}

.social-link:hover svg {
    color: white;
}

.footer-heading {
    font-size: 1.125rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

.footer-links,
.footer-links li {
    list-style: none;
    padding: 0;
}

.footer-link {
    color: #D1D5DB;
    text-decoration: none;
    transition: color 0.3s;
    margin-bottom: 12px;
}

.footer-link:hover {
    color: white;
}

.contact-info p {
    display: flex;
    align-items: center;
    font-size: 1rem;
    color: #D1D5DB;
    margin: 0.5rem 0;
    font-style: normal;
}
.contact-info p a{
        color: #D1D5DB;
}
.icon {
    margin-right: 0.5rem;
}

.footer-divider {
    border-color: #4B5563;
    /* Darker neutral */
    margin: 2rem 0;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.footer-copy {
    font-size: 0.875rem;
}

.footer-legal {
    display: flex;
    gap: 2rem;
}

.footer-legal-link {
    color: #D1D5DB;
    text-decoration: none;
    font-size: 0.875rem;
    transition: color 0.3s;
}

.footer-legal-link:hover {
    color: white;
}

.footer-location {
    text-align: center;
    margin-top: 2rem;
    font-size: 0.875rem;
    color: #A1A1AA;
    /* Light gray */
}

#responsive-btn {
    display: none;
}

.building-process {
    background-color: rgb(31, 112, 173);
    padding: 80px 0;
}

.building-process h2 {
    margin-bottom: 16px;
    text-align: center;
    color: #ffffff;
}

.building-process p {
    text-align: center;
    margin-bottom: 64px;
    color: #ffffff;
}

.building-process .boxes {
    display: flex;
    justify-content: space-between;
    gap: 15px;
}

.building-process .box {
    max-width: 352px;
    width: 100%;
}

.building-process .box .box-counting {
    padding: 17px;
    border-radius: 100%;
    background-color: rgb(244, 62, 96);
    max-width: 64px;
    width: 100%;
    text-align: center;
    margin: 0 auto 16px auto;
}

.building-process .box span {
    font-size: 24px;
    line-height: 30px;
    font-weight: 700;
    font-family: Montserrat, sans-serif;
    color: #ffffff;
}

.building-process .box h3 {
    margin-bottom: 8px;
    text-align: center;
    color: #ffffff;
}

.building-process .box p {
    line-height: 32px;
    margin-bottom: 0;
}

p {
    font-size: 16px;
    line-height: 22px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;
}

h2 {
    font-size: 36px;
    line-height: 42px;
    font-weight: 700;
}

h3 {
    font-size: 20px;
    line-height: 26px;
    font-weight: 700;
    font-family: Montserrat, sans-serif;
    border-radius: 4px;
}

.btn {
    font-family: Montserrat, sans-serif;
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    padding: 12px 32px;
    background-color: rgb(31, 112, 173);
    color: #ffffff;
    border-radius: 4px;
    margin: 0 auto;
    display: flex !important;
    justify-content: center;
    max-width: 240px;
    width: 100%;
}

.featured-projects {
    padding: 80px 0;
}

.featured-projects h2 {
    color: rgb(31, 112, 173);
    text-align: center;
    margin-bottom: 16px;
}

.featured-projects p {
    color: rgb(75, 85, 99);
    text-align: center;
    margin-bottom: 64px;
}

.featured-projects .boxes {
    display: flex;
    gap: 24px;
    flex-wrap: wrap;
    margin-bottom: 48px;
}

.featured-projects .box:hover {
    scale: 1.05;
}

.featured-projects .box {
    max-width: 32%;
    width: 100%;
    border: 1px solid rgb(226, 228, 233);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: 6px;
    transition: all 0.5s ease-in-out;
}

.featured-projects .box img {
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    aspect-ratio: 1.9 / 1;
    object-fit: cover;
}

.featured-projects .box .content {
    padding: 24px;
}

.featured-projects .box .content h3 {
    color: rgb(51, 64, 77);
    margin-bottom: 8px;
}

.featured-projects .box .content p {
    text-align: start;
    margin-bottom: 0;
}

/* featured-projects end */
img {
    width: 100%;
    height: auto;
}

.clients {
    padding: 80px 0;
    background-color: rgb(245, 245, 245);
}

.clients h2 {
    color: rgb(31, 112, 173);
    text-align: center;
    margin-bottom: 16px;
}

.clients p {
    color: rgb(75, 85, 99);
    text-align: center;
    margin-bottom: 64px;
}

.clients .cards {
    display: flex;
    justify-content: space-between;
    gap: 15px;
}

.clients .card p {
    text-align: start;
    font-style: italic;
    margin-bottom: 24px;
}

.clients .card {
    padding: 32px;
    max-width: 480px;
    width: 100%;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    background-color: #ffffff;
    border-radius: 6px;
    position: relative;
}

.card-img {
    position: absolute;
    left: 9px;
    top: 26px;
}

.card-img svg {

    color: rgb(212, 212, 212);

}

.clients .card .client-detail {
    display: flex;
    gap: 16px;
}

.clients .card .client-detail .left-column {
    max-width: 48px;
    width: 100%;
    padding: 13.5px;
    background-color: rgb(212, 212, 212);
    border-radius: 100%;
    text-align: center;
}

.clients .card h3 {
    font-size: 16px;
    line-height: 22px;
    color: rgb(51, 64, 77);
    font-family: Montserrat, sans-serif;
}

.clients .card span {
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    color: rgb(75, 85, 99);
    font-family: Montserrat, sans-serif;
}

.clients .card .client-detail .left-column span {
    font-size: 16px;
    line-height: 22px;
    font-weight: 700;
    color: rgb(31, 112, 173);
}

/* clients end */
.dream-house {
    background-color: rgb(31, 112, 173);
    padding: 80px 0;
}

.dream-house h2 {
    margin-bottom: 24px;
    text-align: center;
    color: #ffffff;
}

.dream-house p {
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 32px;
    text-align: center;
    color: #ffffff;
}

.dream-house .btn {
    background-color: rgb(244, 62, 96);
}

/* dream-house end */

.contact-us {
    padding: 80px 0;
}

.contact-us h2 {
    color: rgb(31, 112, 173);
    margin-bottom: 24px;
    font-size: 45px;
}

.contact-us .column-left {
    max-width: 728px;
    width: 100%;
}

.contact-us .column-left p {
    color: rgb(75, 85, 99);
    margin-bottom: 24px;
}

.contact-us .column-left .location {
    display: flex;
    gap: 16px;
    margin-bottom: 16px;
}

.contact-us .column-left .location .icon img {
    color: rgb(244, 62, 96);
}

.contact-us .column-left .location .icon {
    font-size: 30px;
    color: rgb(244, 62, 96);
    line-height: 0;
    padding-top: 4px;
}

.contact-us .column-left .location h4 {
    font-size: 16px;
    line-height: 22px;
    font-weight: 700;
    font-family: Montserrat, sans-serif;
    color: rgb(51, 64, 77);
}

.contact-us .column-left .location .inner {
    font-size: 16px;
    line-height: 22px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;
    color: rgb(75, 85, 99);
}

.contact-us .column-left .links a {
    font-size: 18px;
    border-radius: 100%;
    background-color: rgb(229, 229, 229);
    max-width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    width: 100%;
    text-align: center;
    color: rgb(31, 112, 173);
}

.contact-us .column-left .links {
    display: flex;
    gap: 16px;
}

.contact-us .right-column {
    max-width: 728px;
    width: 100%;
}

.contact-us .right-column label {
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    font-family: Montserrat, sans-serif;
    color: rgb(51, 64, 77);
    margin-bottom: 8px;
}

.contact-us .right-column form {
    max-width: 728px;
    width: 100%;
    padding: 32px;
    border-radius: 6px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    background-color: #ffffff;
}

.contact-us .right-column .form-item {
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
}

.contact-us .right-column .form-item input::placeholder {
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;
    color: rgb(51, 64, 77);
}

.contact-us .right-column .form-item input {
    padding: 8px 12px;
    border: 1px solid rgb(226, 228, 233);
    border-radius: 4px;
}

.contact-us .right-column form .form-group {
    display: flex;
    justify-content: space-between;
}

.contact-us .right-column form .form-group .form-item {
    max-width: 48%;
    width: 100%;
}

select,
.contact-us .right-column .form-item select {
    padding: 8px 12px;
    border: 1px solid rgb(226, 228, 233);
    border-radius: 4px;
    position: relative;
    appearance: none;
    /* Remove default arrow */
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url(../images/ad.png.png);
    background-position: calc(100% - 16px) center;
    background-repeat: no-repeat;
    background-size: 10px;
}



.contact-us .right-column .form-item textarea {
    padding: 8px 12px;
    border: 1px solid rgb(226, 228, 233);
    border-radius: 4px;
    min-height: 80px;
}

.contact-us .right-column .form-item textarea::placeholder {
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;
    color: rgb(51, 64, 77);
}

.contact-us .right-column .form-item select option {
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;
    color: rgb(51, 64, 77);
}

.contact-us .right-column .form-item select option:checked {
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;
    color: rgb(51, 64, 77);
}

.contact-us .right-column .btn {
    border: 0;
    max-width: 100%;
    background-color: rgb(244, 62, 96);
}

.contact-us .content {
    display: flex;
    justify-content: space-between;
    margin-bottom: 48px;
    gap: 20px;
}

.contact-us .advertisement img {
    height: 3rem;
    object-fit: contain;
}

.contact-us .advertisement {
    display: flex;
    max-width: 449px;
    width: 100%;
    justify-content: space-between;
    margin: 0 auto;
    gap: 24px;
}

.contact-us .advertisement-text {
    text-align: center;
    margin-bottom: 16px;
}

/* .contact-us end */

/* construction-insights start */

.construction-insights {
    padding: 96px 0;
    background-color: rgb(249, 250, 251);
}

.construction-insights h2 {
    font-family: Montserrat, sans-serif;
    color: rgb(31, 112, 173);
    margin-bottom: 16px;
    text-align: center;
}

.construction-insights p {
    font-size: 18px;
    line-height: 24px;
    margin: 0 auto 64px auto;
    max-width: 768px;
    width: 100%;
    text-align: center;
    color: rgb(75, 85, 99);
}

.construction-insights .card .top-img {
    aspect-ratio: 2.5 / 1;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.4));
}

.construction-insights .card {
    max-width: 480px;
    width: 100%;
    border: 1px solid rgb(226, 228, 233);
    border-radius: 6px;
    background-color: #ffffff;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    overflow: hidden;
    position: relative;
    margin-top: 40px;
}

.construction-insights .card .top-img a {
    font-size: 12px;
    line-height: 18px;
    font-weight: 600;
    color: #ffffff;
    font-family: Montserrat, sans-serif;
    background-color: rgb(31, 112, 173);
    padding: 2px 10px;
    border-radius: 9999px;
    left: 20px;
    top: 20px;
    position: absolute;
}

.construction-insights .card .top-img img {
    vertical-align: middle;
    aspect-ratio: 1 / .5;
    object-fit: cover;
}

.construction-insights .card .content {
    padding: 24px;
}

.construction-insights .card h3 {
    color: rgb(51, 64, 77);
    margin-bottom: 6px;
    transition: all 0.3s ease-in-out;
}

.construction-insights .card .content h3:hover {
    color: rgb(31, 112, 173);
}

.construction-insights .card .date-time {
    display: flex;
    gap: 16px;
    margin-bottom: 24px;
}

.construction-insights .card .date-time span {
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;
    color: rgb(107, 114, 128);
}

.construction-insights .card .date-time i {
    color: rgb(107, 114, 128);
    font-size: 14px;
}

.construction-insights .card .content p {
    text-align: start;
    margin-bottom: 24px;
}

.construction-insights .card .inner-text {
    display: flex;
}

.construction-insights .card .inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.construction-insights .card .inner-text .text {
    display: flex;
    flex-direction: column;
}

.construction-insights .card .inner-text .left-column {
    max-width: 32px;
    aspect-ratio: 1/1;
    padding: 18px;
    background-color: rgb(209, 213, 219);
    border-radius: 100%;
    background-image: url(../images/fav-icon.jpeg);
    background-repeat: no-repeat;
    border: 0.2px solid #00000045;
}

.construction-insights .card .inner-text h4 {
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    font-family: Montserrat, sans-serif;
    color: rgb(51, 64, 77);
}

.construction-insights .card .inner-text span {
    font-size: 12px;
    line-height: 18px;
    font-weight: 400;
    font-family: Montserrat, sans-serif;
    color: rgb(107, 114, 128);
}

.construction-insights .card .inner-text {
    gap: 8px;
}

.construction-insights .card .inner a {
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    color: rgb(51, 64, 77);
    display: flex;
    font-family: Montserrat, sans-serif;
    gap: 8px;
    align-items: center;
        padding:5px 10px;
        border-radius: 8px;
}
.construction-insights .card .inner a:hover{
    background-color: rgb(249, 116, 21);
    color: #ffffff;
}
.construction-insights .tab-wrapper {
    max-width: 100%;
    width: 100%;
    margin-bottom: 48px;
}

.construction-insights .tabs {
    display: flex;
    gap: 10px;
    margin-bottom: 48px;
}

.construction-insights .tab {
    border-radius: 9999px;
    padding: 8px 16px;
    background: #ffffff;
    color: #eee;
    cursor: pointer;
    position: relative;
    transition: all 0.3s ease;
    color: rgb(51, 64, 77);
    border: 1px solid rgb(226, 228, 233);
    font-family: Montserrat, sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
}

.construction-insights .tabs {
    justify-content: center;
}

.construction-insights .tab:hover {
    background-color: rgb(249, 116, 21);
    color: #ffffff;
}

.construction-insights .tab.active {
    background: rgb(31, 112, 173);
    color: #ffffff;
}

.construction-insights .tab-content {
    border-radius: 6px;
    margin-top: 40px ;
}
.construction-insights .tab-content{
        margin-top: 40px;
}

.construction-insights .tab-content.active {
    /* display: block !important; */
    
}

.construction-insights .tab-content .cards {
    display: flex;
    margin-bottom: 40px;
    justify-content: flex-start;
    gap: 30px;
    
}

.construction-insights .btn {
    max-width: 139px;
    padding: 12px 31px;
    margin-bottom: 80px;
}

.construction-insights .button {
    max-width: 269px;
    background-color: rgb(244, 62, 96);
    margin-bottom: 0 !important;
}

.construction-insights .bottom-text {
    font-size: 24px;
    line-height: 30px;
    font-weight: 700;
    font-family: Montserrat, sans-serif;
    color: rgb(51, 64, 77);
    margin-bottom: 16px;
    text-align: center;
}

.logo {
    max-width: 290px;
}

.floorplan-container {
    max-width: 1000px;
    margin: 2rem auto;
    padding: 2rem;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.floorplan-container h3 {
    font-size: 1.5rem;
    margin-bottom: 1rem;
    text-align: left;
}

.floorplan-filters {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem;
    margin-top: 1rem;
}

.floorplan-filter-group {
    display: flex;
    flex-direction: column;
    border: none;
}

.floorplan-filter-group label {
    font-size: 0.9rem;
    color: #555;
    margin-bottom: 0.5rem;
}

.floorplan-filter-group select,
.floorplan-filter-group input[type="checkbox"] {
    padding: 0.5rem;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.floorplan-filter-checkboxes label {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    margin-bottom: 0.5rem;
}

.floorplan-btn-toggle {
    padding: 0.6rem 1rem;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.floorplan-btn-clear {
    margin-top: 1rem;
    padding: 0.6rem 1rem;
    background-color: #f44336;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
}

.floor-details-wrapper {
    display: flex;
    gap: 20px;
}




/* single page  */
.blog-post {
    padding-top: 9rem;
    padding-bottom: 5rem;
    padding-left: 1rem;
    padding-right: 1rem;
    max-width: 960px;
    margin-left: auto;
    margin-right: auto;
}

.blog-image {
    width: 100%;
    height: auto;
    object-fit: cover;
    margin-bottom: 1.5rem;
    border-radius: 0.5rem;
    padding: 0;
}

.blog-title {
    font-size: 2.25rem;
    font-weight: 700;
    margin-bottom: 1rem;
    font-family: "montserrat";
    color: #33404d;
}

.blog-meta {
    display: flex;
    gap: 1rem;
    font-size: 0.875rem;
    color: var(--gray-dark);
    margin-bottom: 1.5rem;
}

.article-content h2 {
    font-size: 1.5rem;
    font-weight: 700;
    margin-top: 2.5rem;
    margin-bottom: 1rem;
    font-family: "montserrat";
}

.article-content p {
    margin-bottom: 1.5rem;
}

.article-content ul {
    list-style-type: disc;
    padding-left: 2rem;
    margin-bottom: 1.5rem;
}

.article-content li {
    margin-bottom: 0.5rem;
}

.article-content strong {
    font-weight: 700;
}

@media (max-width: 768px) {
    .floorplan-filters {
        grid-template-columns: 1fr;
    }
    .article-content h2,
    .blog-title {
        font-size: 1.25rem;
    }
}

@media (max-width: 1440px) {
    .featured-projects .boxes {
        justify-content: center;
    }
}

@media (max-width: 1140px) {
    .building-process .box {
        max-width: 288px;
    }

    p {
        font-size: 15px;
        line-height: 21px;
    }

    .building-process .boxes {
        flex-wrap: wrap;
    }

    .clients .card {
        padding: 20px;
    }

    .contact-us .right-column form {
        max-width: 468px;
        padding: 20px;
    }

    .construction-insights {
        padding: 70px 0;
    }

    .construction-insights .tab-content .cards {
        flex-wrap: wrap;
    }

    .construction-insights .card {
        max-width: 48%;
    }
}


@media (max-width: 1024px) {
    .nav {
        position: absolute;
        transform: translateY(-100%);
        left: 0;
        right: 0;
        background-color: white;
        flex-direction: column;
        align-items: flex-start;
        text-align: center;
        gap: 1rem;
        overflow: hidden;
        transition: max-height 0.3s ease-out;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.05);
        z-index: 49;
        align-items: center;
    }

    .menu-button,
    #responsive-btn {

        display: block;
    }

    #responsive-btn .contact-button {
        display: block;
    }

    .contact-button {
        display: none;
    }

    .floorplan-grid {
         display: block;
        grid-template-columns: 1.4fr 1fr;
    }

    .nav.open {
        transform: translateY(65%);
        padding-block: 16px;
    }

    .cta-button {
        width: 100%;
        max-width: 247px;
    }

    .menu-button {
        display: block;
    }

    .container {
        padding-inline: 20px;
    }

    .header {
        padding: 0;
    }

    .hero-heading {
        font-size: 38px;
    }
}

@media (max-width: 768px) {
    .logo-text {
        font-size: 1.2rem;
    }

    .home-section {
        height: 80vh;
        padding: 0 1rem;
    }

    .hero-heading {
        font-size: 2.5rem;
    }

    .hero-description {
        font-size: 1rem;
    }

    .cta-buttons {
        flex-direction: column;
        gap: 1rem;
        align-items: flex-start;
    }

    .about-section .container {
        padding: 0 1rem;
    }

    .services-grid {
        grid-template-columns: 1fr;
    }

    .about-text {
        text-align: center;
    }

    .services-heading {
        font-size: 1.75rem;
    }

    .services-subheading {
        font-size: 1rem;
    }

    .service-card {
        margin-bottom: 2rem;
    }

    .about-heading {
        font-size: 1.75rem;
    }

    .about-description {
        font-size: 1rem;
    }

    .company-achievements {
        grid-template-columns: 1fr;
        gap: 2rem;
    }

    .about-images {
        grid-template-columns: 1fr;
        gap: 2rem;
    }

    .hero-heading {
        font-size: 2rem;
    }

    .hero-description {
        font-size: 1rem;
    }

    .cta-buttons {
        flex-direction: column;
        gap: 1rem;
    }

    .cta-button {
        padding: 0.75rem 2rem;
    }

    .footer-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .logo {
        max-width: 220px;
    }

    .achievement-value {
        font-size: 20px;
    }

    .contact-us h2,
    .floorplans-header h2 {
        font-size: 1.6rem;
    }
}

@media (max-width: 480px) {
    .hero-heading {
        font-size: 1.7rem;
        line-height: 1.3;
    }

    .hero-description {
        font-size: 0.875rem;
    }

    .cta-button {
        font-size: 0.875rem;
        padding: 0.5rem 1rem;
    }

    .md\:grid-cols-2 {
        grid-template-columns: repeat(1, 1fr);
    }

    .floorplan-grid {
        grid-template-columns: 1fr;
        display: block;
    }

    .footer-grid {
        grid-template-columns: 1fr;
    }



    .hero-content {
        padding-bottom: 30px;
    }
}

@media (max-width: 991px) {
    .featured-projects {
        padding: 50px 0;
    }

    .featured-projects p {
        margin-bottom: 40px;
    }

    .clients {
        padding: 50px 0;
    }

    .clients p {
        margin-bottom: 34px;
    }

    .clients .cards {
        flex-wrap: wrap;
    }

    .clients .card {
        max-width: 48%;
    }

    .about-heading {
        font-size: 22px;
    }

    .about-description {

        font-size: 1rem;
    }

    .contact-us .content {
        flex-direction: column;
        justify-content: center;
    }

    .contact-us .right-column form {
        max-width: 100%;
    }

    .construction-insights p {
        font-size: 15px;
        line-height: 21px;
    }

    .construction-insights .tabs {
        flex-wrap: wrap;
    }

    .construction-insights .btn {
        margin-bottom: 50px;
    }

    .construction-insights .bottom-text {
        font-size: 20px;
        line-height: 26px;
    }
}

@media (max-width: 1067px) {
    .featured-projects .box {
        max-width: 45%;
    }
}

@media (max-width: 767px) {
    .building-process {
        padding: 50px 0;
    }

    h2 {
        font-size: 24px;
        line-height: 30px;
    }

    .building-process h2 {
        margin-bottom: 10px;
    }

    .building-process p {
        margin-bottom: 40px;
    }

    h3 {
        font-size: 18px;
        line-height: 24px;
    }

    .building-process .boxes {
        flex-wrap: wrap;
        justify-content: center;
    }

    .building-process .box {
        max-width: 100%;
    }

    .featured-projects .box {
        max-width: 100%;
    }

    .featured-projects .box:hover {
        scale: inherit;
    }

    .projects {
        padding: 40px 0;
    }

    .featured-projects p {
        margin-bottom: 30px;
    }

    .featured-projects .boxes {
        margin-bottom: 25px;
    }

    .clients .card {
        max-width: 100%;
    }

    .clients {
        padding: 40px 0;
    }

    \ .dream-house {
        padding: 40px;
    }

    .dream-house p {
        font-size: 15px;
        list-style: 21px;
    }

    .contact-us {
        padding: 40px 0;
    }

    .contact-us .advertisement {
        flex-wrap: wrap;
    }

    .contact-us .advertisement img {
        height: 7rem;
    }

    .construction-insights .card {
        max-width: 100%;
    }

    .construction-insights {
        padding: 40px 0;
    }

    .construction-insights .bottom-text {
        font-size: 17px;
        line-height: 23px;
    }
}

/* Responsive Design */